|  | Home · All Classes · Modules

# QPaintEngine.PaintEngineFeatures Class Reference
[QtGui module]

### Methods

- __init__ (self, PaintEngineFeatures)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- PaintEngineFeatures __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, PaintEngineFeatures f)
- PaintEngineFeatures __iand__ (self, int mask)
- int __int__ (self)
- PaintEngineFeatures __invert__ (self)
- PaintEngineFeatures __ior__ (self, PaintEngineFeatures f)
- PaintEngineFeatures __ixor__ (self, PaintEngineFeatures f)
- bool __ne__ (self, PaintEngineFeatures f)
- PaintEngineFeatures __or__ (self, PaintEngineFeatures f)
- PaintEngineFeatures __or__ (self, int f)
- PaintEngineFeatures __xor__ (self, PaintEngineFeatures f)
- PaintEngineFeatures __xor__ (self, int f)

## Detailed Description

PaintEngineFeature may be used whenever PaintEngineFeatures is expected.

## Method Documentation

### PaintEngineFeatures.__init__ (self, PaintEngineFeatures)

### PaintEngineFeatures.__init__ (self, int)

### PaintEngineFeatures.__init__ (self)

### PaintEngineFeatures PaintEngineFeatures.__and__ (self, int mask)

### int PaintEngineFeatures.__bool__ (self)

### bool PaintEngineFeatures.__eq__ (self, PaintEngineFeatures f)

### PaintEngineFeatures PaintEngineFeatures.__iand__ (self, int mask)

### int PaintEngineFeatures.__int__ (self)

### PaintEngineFeatures PaintEngineFeatures.__invert__ (self)

### PaintEngineFeatures PaintEngineFeatures.__ior__ (self, PaintEngineFeatures f)

### PaintEngineFeatures PaintEngineFeatures.__ixor__ (self, PaintEngineFeatures f)

### bool PaintEngineFeatures.__ne__ (self, PaintEngineFeatures f)

### PaintEngineFeatures PaintEngineFeatures.__or__ (self, PaintEngineFeatures f)

### PaintEngineFeatures PaintEngineFeatures.__or__ (self, int f)

### PaintEngineFeatures PaintEngineFeatures.__xor__ (self, PaintEngineFeatures f)

### PaintEngineFeatures PaintEngineFeatures.__xor__ (self, int f)